/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id: dirhistory.h,v 1.1 2006/02/24 17:31:40 pipas Exp pipas $
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: dirhistory.h,v $
 * Revision 1.1  2006/02/24 17:31:40  pipas
 * Initial revision
 *
 */
#ifndef DIRHISTORY_H
#define DIRHISTORY_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#define _GNU_SOURCE
#include <gnome.h>

/***************************************************************************
 * Utility functions for the directory history of the GUI.                 *
 *                                                                         *
 **************************************************************************/

void dirhistory_directory_changed(GString *dir_nam);

/***************************************************************************
 * Callback functions for the directory history of the GUI.                *
 *                                                                         *
 **************************************************************************/
void
on_combobox_realize                    (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_combobox_changed                    (GtkWidget     *combobox,
                                        gpointer         user_data);
void
on_dirback_toolbutton_clicked          (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_dirforward_toolbutton_clicked        (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_go_toolbutton_clicked                (GtkToolButton   *toolbutton,
                                        gpointer         user_data);
#endif
